## tar-ocaml 0.2.1

=== Makefile ===
include config.mk

.PHONY: build
build: setup.data
	ocaml setup.ml -build

test: build
	ocaml setup.ml -test

config.mk: configure.ml configure
	./configure

.PHONY: clean
clean:
	ocaml setup.ml -clean

.PHONY: distclean
distclean: clean
	rm config.mk setup.data setup.log

setup.data: setup.ml
	ocaml setup.ml -configure $(ENABLE_LWT_UNIX)

install: setup.data
	ocaml setup.ml -install $(INSTALLFLAGS)

uninstall: setup.data
	ocaml setup.ml -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	ocaml setup.ml -reinstall $(REINSTALLFLAGS)

=== debian/changelog ===
tar-ocaml (0.2.1-2) UNRELEASED; urgency=low

  * Split files correctly between base and devel packages

 -- Euan Harris <euan.harris@citrix.com>  Fri, 30 May 2014 12:00:00 +0000

tar-ocaml (0.2.1-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@eu.citrix.com>  Fri, 15 Nov 2013 12:00:00 +0000

=== debian/control ===
Source: tar-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 ocaml-findlib,
 ocaml-native-compilers,
 libounit-ocaml-dev,
 libcstruct-ocaml-dev,
 liblwt-ocaml-dev,
 camlp4-extra,
 libre-ocaml-dev

Package: tar-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml parser and printer for tar-format data
 This is a pure OCaml library for reading and writing tar-format data.

Package: tar-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 tar-ocaml (>= 0.2.1-2),
 libcstruct-ocaml-dev,
 liblwt-ocaml-dev,
 libre-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-tar
 The ocaml-tar-devel package contains libraries and signature files
 for developing applications that use ocaml-tar.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/tar-ocaml/usr/lib/ocaml/tar/*.a
	rm -f debian/tar-ocaml/usr/lib/ocaml/tar/*.cmxa
	rm -f debian/tar-ocaml/usr/lib/ocaml/tar/*.cmx
	rm -f debian/tar-ocaml/usr/lib/ocaml/tar/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
